      subroutine stcm1p(stcprm, x1, y1, xlat1, xlong1,                  &
     & xlatrf, xlonrf, gridsz, orient, proj)
! CHG(03/12/03)
!
! $Id: stcm1p.f90,v 1.3 2008/01/22 14:25:27 trn Exp $
!
      use map_utils, only : proj_info

      IMPLICIT REAL*8 (A-H,O-Z)

      type(proj_info), intent(in) :: proj

      parameter (pi=3.14159265358979323846d0,radpdg=pi/180d0)
      parameter (dgprad=180d0/pi)
      real*8 stcprm(15)
      real*8 enx,eny,enz,norm,x1a,y1a
      REAL(KIND(1d0)), EXTERNAL :: cgszll

      c_or = dcos(RADPDG * orient)
      s_or = - dsin(RADPDG * orient)
!  stcprm->x0 = stcprm->y0 = stcprm->srotate = 0;
      stcprm(11) = 0.
      stcprm(12) = 0.
      stcprm(13) = 1.
      stcprm(14) = 0.
      stcprm(15) = 1.
!  stcprm->crotate = stcprm -> gridszeq = 1.0;
      call cpolll(stcprm, xlatrf, xlonrf, enx, eny, enz)
      norm = dsqrt(enx*enx + eny*eny)
      if (norm .eq. 0.) then
        call cgrnll(stcprm,xlatrf,xlonrf,enx,eny,enz)
        norm = dsqrt (enx* enx + eny*eny)
      endif
      enx = enx/norm
      eny = eny/norm
!  stcprm->gridszeq *= gridsz / cgszll(stcprm, xlatrf,xlonrf);
      stcprm(15) = stcprm(15) * gridsz / cgszll(stcprm,xlatrf,xlonrf)

!  stcprm -> crotate = eny * c_or - enx * s_or;
      stcprm(13) = eny * c_or - enx * s_or
!  stcprm -> srotate = -eny * s_or - enx * c_or;
      stcprm(14) = -eny * s_or - enx * c_or
      call cll2xy(stcprm, xlat1,xlong1, x1a,y1a, proj)

!  stcprm->x0 += x1 - x1a;
!  stcprm->y0 += y1 - y1a;
      stcprm(11) = stcprm(11) + x1 - x1a
      stcprm(12) = stcprm(12) + y1 - y1a
      return
      END
